Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	File - determine file type
Name:      	file
Version:   	4.25
Release:   	1
License: 	GNU/GPL
URL:		ftp://ftp.astron.com/pub/file/
Group:     	System/Base 
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  zlib-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
File  tests  each  argument  in an attempt to classify it.
There are three sets of tests, performed  in  this  order:
filesystem  tests, magic number tests, and language tests.
The first test that succeeds causes the file  type  to  be
printed.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %{_infodir}/file.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig

 
%preun 
#if [ "$1" = 0 ]; then 
#     /sbin/install-info --del %{_infodir}/file.info.gz %{_infodir}/dir 
#fi 

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make 

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*
%{_datadir}/file/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 12 2008 Karsten Brockman <arcam@ccux-linux.de> 4.25-1
- Version update
* Sat May 03 2008 Karsten Brockman <arcam@ccux-linux.de> 4.24-1
- Version update
* Sun Apr 29 2007 Karsten Brockman <arcam@ccux-linux.de> 4.21-1
- Version update
- fix against CVE-2007-2026 DoS vulnerability
* Sun Apr 29 2007 Karsten Brockman <arcam@ccux-linux.de> 4.20-1
- Version update
* Wed Dec 13 2006 Christian Metzen <metzench@ccux-linux.de> 4.19-1
- Version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 4.18-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 4.17-1
- Version update
* Wed Oct 19 2005 Christian Metzen <metzench@ccux-linux.de> 4.16-1
- Version update
* Sun Aug 21 2005 Christian Metzen <metzench@ccux-linux.de> 4.15-1
- Version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 4.14-3
- Splitted devel package
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.14-2
- Version Update to 4.14, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 4.09-1
- Initial Release
